<?
include('../connect/connect.php');
include('../lib/lib.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Выставление маркера на карте по адресу места</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" href="../style/template_adm.css" type="text/css"/>
<script  charset="UTF-8" src="http://api-maps.yandex.ru/1.1/index.xml?key=<?=$rru['key_to_yandex']?>&modules=traffic" type="text/javascript"></script>
<script type="text/javascript">

<?
if($_GET['adr'])
echo "\n var adr='".urldecode($_GET['adr'])."';";
else
echo "\n var adr='Москва';";
?>


YMaps.jQuery(function () {
	var map = new YMaps.Map(YMaps.jQuery("#YMapsID")[0]); // Создаём карту.
	var geocoder = new YMaps.Geocoder(adr, { results: 1, boundedBy: map.getBounds() }); // Делаем запрос к геокодеру.
	YMaps.Events.observe(geocoder, geocoder.Events.Load, function (obj) { // Обработчик события загрузки (load) данных геокодера.
	if (this.length()) 
		{ // Если есть результат...
			geoCoords = obj.get(0).getGeoPoint(); // Координаты найденной точки.
			map.setCenter(new YMaps.GeoPoint(geoCoords.getLng(), geoCoords.getLat()), 13); // Задаём центр карты.
            map.addControl(new YMaps.Zoom());
            map.addControl(new YMaps.ToolBar());
            map.addControl(new YMaps.TypeControl());
            map.addControl(new YMaps.ScaleLine());
			map.addControl(new YMaps.Traffic.Control());
		} 
	});
});

</script>
</head>

<body>
<div id="YMapsID" style="width:490px; height:490px; ">Карта загружается...</div>
</body>
</html>
